Skip to content

Download the skill package

GET
/api/v1/skill/package
curl --request GET \
--url https://example.com/api/v1/skill/package \
--cookie encore_session=<encore_session>

A zip with skill-package/ and ask-resources.json, for a manual upload or ask deploy.

The skill package

Media typeapplication/zip
string format: binary
Content-Disposition
string

Error

Media typeapplication/problem+json
object
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}